﻿using System;
using System.IO;
using System.Windows;
using DataCopyBrowser.Views;

namespace DataCopyBrowser
{
    /// <summary>
    /// App.xaml の相互作用ロジック
    /// </summary>
    public partial class App : Application
    {
        private void AppStartup(object sender, StartupEventArgs e)
        {
            try
            {
                if (e.Args.Length != 2)
                    throw new ArgumentException("パラメータ数が2ではありません。");

                var srcDir = e.Args[0];
                if (!Directory.Exists(srcDir))
                    throw new DirectoryNotFoundException($"パラメータ1のディレクトリ'{srcDir}'が存在しません。");

                var dstDir = e.Args[1];
                if (!Directory.Exists(dstDir))
                    throw new DirectoryNotFoundException($"パラメータ2のディレクトリ'{dstDir}'が存在しません。");

                new MainWindow(e.Args).ShowDialog();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "エラー", MessageBoxButton.OK, MessageBoxImage.Error);
            }
            Shutdown();
        }
    }
}