﻿using System;
using System.Windows.Input;

namespace DataCopyBrowser.Classes
{
    public sealed class RelayCommand : ICommand
    {
        private Func<object, bool> _fncCanExecute;

        private Action<object> _subExecute;

        public event EventHandler CanExecuteChanged;

        public RelayCommand(Func<object, bool> canExecute, Action<object> execute)
        {
            _fncCanExecute = canExecute;
            _subExecute = execute;
        }

        public bool CanExecute(object parameter) => _fncCanExecute(parameter);

        public void Execute(object parameter) => _subExecute(parameter);

        public void NotifyChanged() => CanExecuteChanged?.Invoke(this, EventArgs.Empty);
    }
}