﻿using System;
using System.Globalization;
using System.Windows.Data;
using DataCopyBrowser.Classes;

namespace DataCopyBrowser.Converters
{
    public sealed class StatusMessageConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is FileCopyJobStatus status)
            {
                switch (status.Code)
                {
                    case Constants.StatusCode.Ready:
                        return "左のフォルダのファイルを右のフォルダへコピーします。";

                    case Constants.StatusCode.SrcDirError:
                        return "左のフォルダが利用できません。";

                    case Constants.StatusCode.DstDirError:
                        return "右のフォルダが利用できません";

                    case Constants.StatusCode.NoSrcFiles:
                        return "左のフォルダにファイルがありません。";

                    case Constants.StatusCode.FailedToCopy:
                        return "ファイルはコピーされませんでした。";

                    case Constants.StatusCode.CopyCompleted:
                        return $"{status.NumOfFilesCopied}個のファイルをコピーしました。";
                }
            }
            return string.Empty;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}